---
replicaCount: {{ secrets.ex_book_api_gateway.env[secrets_ex_book_api_gateway_env]['helm']['replicaCount']|default(1) }}

image:
  repository: "{{ secrets.ex_book_api_gateway.env[secrets_ex_book_api_gateway_env]['helm']['image']['repository']|default(helm_service_name) }}"
  pullPolicy: "{{ secrets.ex_book_api_gateway.env[secrets_ex_book_api_gateway_env]['helm']['image']['pullPolicy']|default('IfNotPresent') }}"
  tag: "{{ helm_image_tag[secrets_ex_book_api_gateway_env] }}"

nameOverride: "{{ helm_service_name }}"
fullnameOverride: "{{ helm_service_name }}"

volumeMounts:
  - name: "services-{{ helm_service_name }}-secrets"
    mountPath: /secrets
    readOnly: true

volumes:
  - name: "services-{{ helm_service_name }}-secrets"
    secret:
      secretName: "services-{{ helm_service_name }}-secrets"

podRecreate: {{ secrets.ex_book_api_gateway.env[secrets_ex_book_api_gateway_env]['helm']['podRecreate'] }}

secret:
  enabled: true
  data:
    local.env.yaml: {{ helm_secret_data | string | b64encode }}
